Bug 188672 - [PATCH] net-p2p/py-fngrab: stage
Summary: [PATCH] net-p2p/py-fngrab: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-15 21:20 UTC by Bartek Rutkowski
Modified: 2014-04-16 14:30 UTC (History)
0 users

See Also:


Attachments
py-fngrab-0.0.4.patch (1.15 KB, patch)
2014-04-15 21:20 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-15 21:20:00 UTC
- Stage
- Fix pk-plist
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-fngrab/0.0.4/

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-15 21:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-16 14:20:17 UTC
Author: swills
Date: Wed Apr 16 13:20:14 2014
New Revision: 351379
URL: http://svnweb.freebsd.org/changeset/ports/351379
QAT: https://qat.redports.org/buildarchive/r351379/

Log:
  - Stage
  - Fix pkg-plist
  - Pet portlint
  
  PR:		ports/188672
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	portmgr@ (blanket)

Modified:
  head/net-p2p/py-fngrab/Makefile
  head/net-p2p/py-fngrab/pkg-plist

Modified: head/net-p2p/py-fngrab/Makefile
==============================================================================
--- head/net-p2p/py-fngrab/Makefile	Wed Apr 16 11:46:15 2014	(r351378)
+++ head/net-p2p/py-fngrab/Makefile	Wed Apr 16 13:20:14 2014	(r351379)
@@ -8,7 +8,7 @@ MASTER_SITES=	SF/freebbs/${PORTNAME}-${P
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A replacement for the official Freenet Project's freenet_request
+COMMENT=	Replacement for the official Freenet Project's freenet_request
 
 BUILD_DEPENDS=	${PYXML}
 RUN_DEPENDS:=	${BUILD_DEPENDS}
@@ -19,8 +19,7 @@ USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	FreenetGrab
 
-NO_STAGE=	yes
 post-install:
-	@${MV} ${PREFIX}/bin/fngrab.py ${PREFIX}/bin/fngrab
+	@${MV} ${STAGEDIR}${PREFIX}/bin/fngrab.py ${STAGEDIR}${PREFIX}/bin/fngrab
 
 .include <bsd.port.mk>

Modified: head/net-p2p/py-fngrab/pkg-plist
==============================================================================
--- head/net-p2p/py-fngrab/pkg-plist	Wed Apr 16 11:46:15 2014	(r351378)
+++ head/net-p2p/py-fngrab/pkg-plist	Wed Apr 16 13:20:14 2014	(r351379)
@@ -1,4 +1,7 @@
 bin/fngrab
+%%PYTHON_LIBDIR%%/site-packages/FreenetGrab/setup.py
+%%PYTHON_LIBDIR%%/site-packages/FreenetGrab/setup.pyc
+%%PYTHON_LIBDIR%%/site-packages/FreenetGrab/setup.pyo
 %%PYTHON_SITELIBDIR%%/FreenetGrab/__init__.py
 %%PYTHON_SITELIBDIR%%/FreenetGrab/__init__.pyc
 %%PYTHON_SITELIBDIR%%/FreenetGrab/__init__.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2014-04-16 14:20:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!